QucsDigi(1)

NAME
QucsDigi - A wrapper script for digital simulations.

SYNOPSIS
qucsdigi [OPTION] infile outfile time dir bindir

DESCRIPTION
Qucs is an integrated circuit simulator which means you are able to setup a circuit with a graphical user interface (GUI) and simulate the large-signal, small-signal and noise behaviour of the circuit. After that simulation has finished you can view the simulation results on a presentation page or window. The software aims to support all kinds of circuit simulation types, e.g. DC, AC, S-parameter, harmonic balance analysis, noise analysis, etc. QucsDigi is a wrapper script for digital simulations performed by Qucs. The program utilizes the FreeHDL compiler in order to convert the VHDL output of Qucs into a C++ program. Thereafter this C++ source is compiled and linked to a binary. This binary is then executed and its VCD output file is converted to a Qucs dataset.

OPTIONS

INFILE
    the filename of the VHDL file to be simulated located in the directory specified in DIR

OUTFILE
    the filename of the Qucs dataset file to be produced

TIME
    duration of the digital simulation

DIR the name of the directory where the simulation is going to be performed

BINDIR
    the location where the qucsconv program is installed

AVAILABILITY
The latest version of Qucs can always be obtained from www.sourceforge.net or www.freshmeat.net

REPORTING BUGS
Known bugs are documented within the BUGS file. Report bugs to <qucs-bugs@lists.sourceforge.net>.

COPYRIGHT
Copyright © 2005 Michael Margraf <michael.margraf@alumni.tu-berlin.de>

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

AUTHORS
Written by Michael Margraf <michael.margraf@alumni.tu-berlin.de> and Stefan Jahn <stefan@lkcc.org>.